package jp.co.cybec.laxide.editParts;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import jp.co.cybec.laxide.model.base.AbstractModel;
import jp.co.cybec.laxide.model.base.BaseModel;

import org.eclipse.gef.editparts.AbstractGraphicalEditPart;

public abstract class EditPartWithListener extends AbstractGraphicalEditPart
		implements PropertyChangeListener {

	public void activate() {
		super.activate();
		// 自身をリスナとしてモデルに登録
		// お前を視てるのは俺だぞ
		((AbstractModel) getModel()).addPropertyChangeListener(this);
	}

	public void deactivate() {
		super.deactivate();
		// モデルから削除
		// お前はもう視ないぞ
		((AbstractModel) getModel()).removePropertyChangeListener(this);
	}

	public void propertyChange(PropertyChangeEvent arg0) {
		// TODO 自動生成されたメソッド・スタブ

	}
	
	public String getLayoutXmlTag(){
		return ((BaseModel) getModel()).getLayoutXML();
		
	}

}
